Skip to content

KATO Addresses API

Search by Address

GET /api/adress-kato/search?query=

The following headers must be sent in the request

  • bsauth - BrainySoft authorization token
  • customer-key - Organization code name

Parameters

  • query= - Address to search

Response body:

json
[
	{
		id: "",
		fullAddressText: {
			main: "Address in Russian",
			secondary: "Address in Kazakh"
		}
		info: {
			KATO: "KATO code",
		}
	},
	{
		id: "",
		fullAddressText: {
			main: "Address in Russian",
			secondary: "Address in Kazakh"
		}
		info: {
			KATO: "KATO code",
		}
	},
	...............
]

Search by KATO

GET /api/adress-kato/{code}

where code - KATO code

The following headers must be sent in the request

  • bsauth - BrainySoft authorization token
  • customer-key - Organization code name
json
{
  "id": "",
  "addressData": {
    "fullAddressText": "",
    "regionName": "",
    "localityName": "",
    "attributes": {
      "kato": "",
      "fullAddressTextKz": "",
      "regionNameKz": "",
      "localityNameKz": ""
    }
  }
}